import { UmbRepositoryBase } from '../../../../core/repository/index.js';
export class UmbContentTypeStructureRepositoryBase extends UmbRepositoryBase {
    constructor(host, structureSource) {
        super(host);
        this._dataSource = new structureSource(host);
    }
    /**
     * Returns a promise with the allowed children of a content type
     * @param {string} unique
     * @param parentContentUnique
     * @returns {*}
     * @memberof UmbContentTypeStructureRepositoryBase
     */
    requestAllowedChildrenOf(unique, parentContentUnique) {
        return this._dataSource.getAllowedChildrenOf(unique, parentContentUnique);
    }
}
